using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using System.IO;
public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("Name", typeof(string)));
            string serverPath = Server.MapPath("File");
            DirectoryInfo dir = new DirectoryInfo(serverPath);
            foreach (FileInfo fileName in dir.GetFiles())
            {
                DataRow dr = dt.NewRow();
                dr[0] = fileName;
                dt.Rows.Add(dr);
            }
            DropDownList1.DataSource = dt;
            DropDownList1.DataTextField = "Name";
            DropDownList1.DataValueField = "Name";
            DropDownList1.DataBind();
            TextBox1.Text = DropDownList1.SelectedValue.ToString();
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string path = Server.MapPath("File/") + DropDownList1.SelectedValue.ToString();
        FileInfo fi = new FileInfo(path);
        if (fi.Exists)
        {
            string path1 = Server.MapPath("File/") + TextBox1.Text;
            fi.MoveTo(path1);
        }
        Response.Write("<script>alert('成功修改了文件名称!')</script>");
        DataTable dt = new DataTable();
        dt.Columns.Add(new DataColumn("Name", typeof(string)));
        string serverPath = Server.MapPath("File");
        DirectoryInfo dir = new DirectoryInfo(serverPath);
        foreach (FileInfo fileName in dir.GetFiles())
        {
            DataRow dr = dt.NewRow();
            dr[0] = fileName;
            dt.Rows.Add(dr);
        }
        DropDownList1.DataSource = dt;
        DropDownList1.DataTextField = "Name";
        DropDownList1.DataValueField = "Name";
        DropDownList1.DataBind();
    }
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        TextBox1.Text = DropDownList1.SelectedValue.ToString();
    }
}
